### R code from vignette source 'cr_1.Rnw'

###################################################
### code chunk number 1: cr_1.Rnw:20-24
###################################################
options(prompt="> ", continue="+ ", digits=5, width=70, show.signif.stars=T)
par(mfrow=c(1,1))
rm(list=ls())
setwd("~/data/Journal/Monographs/StatsMonographs/CorRegr_Sweave/")


###################################################
### code chunk number 2: cr_1.Rnw:58-59 (eval = FALSE)
###################################################
## file.show("obs.csv")


###################################################
### code chunk number 3: cr_1.Rnw:93-94
###################################################
obs <- read.csv("./ds/obs.csv")


###################################################
### code chunk number 4: cr_1.Rnw:97-98 (eval = FALSE)
###################################################
## obs <- read.csv("obs.csv")


###################################################
### code chunk number 5: cr_1.Rnw:101-103
###################################################
str(obs)
row.names(obs)


###################################################
### code chunk number 6: cr_1.Rnw:127-129
###################################################
obs$zone <- as.factor(obs$zone)
obs$wrb1 <- factor(obs$wrb1, labels=c("a", "c", "f"))


###################################################
### code chunk number 7: cr_1.Rnw:143-144
###################################################
save(obs, file="obs.RData")


###################################################
### code chunk number 8: cr_1.Rnw:149-150 (eval = FALSE)
###################################################
## load(file="obs.RData")


###################################################
### code chunk number 9: cr_1.Rnw:189-190
###################################################
plot.id <- 1:dim(obs)[1]


###################################################
### code chunk number 10: cr_1.Rnw:195-197
###################################################
t.obs <- cbind(plot.id, obs[, 1:6])
str(t.obs)


###################################################
### code chunk number 11: cr_1.Rnw:204-213
###################################################
t.layers <- cbind(plot.id = rep(plot.id, 3),
               reshape(obs, direction="long",
               drop=c("e", "n", "elev", "zone", "wrb1", "LC"),
               varying=list(c("Clay1","Clay2","Clay5"),
               c("CEC1", "CEC2", "CEC5"), c("OC1", "OC2", "OC5")),
               times=c("1", "2", "5")))
names(t.layers)[2:5] <- c("layer", "Clay", "CEC", "OC")
t.layers$layer <- as.factor(t.layers$layer)
str(t.layers)


###################################################
### code chunk number 12: cr_1.Rnw:227-229
###################################################
rm(plot.id)
save(t.obs, t.layers, file="t.RData")


